SidDatabase Class Reference

`#include <SidDatabase.h>`

## Public Member Functions

bool | open (const char *filename)
void | close ()
int_least32_t | length (SidTune &tune)
int_least32_t | length (const char *md5, unsigned int song)
const char * | error () const

## Detailed Description

SidDatabase An utility class to deal with the songlength DataBase.

## Member Function Documentation

## close()

void SidDatabase::close | ( |  | ) |

Close the songlength DataBase.

## error()

const char* SidDatabase::error | ( |  | ) | const

inline

Get descriptive error message.

## length() [1/2]

int_least32_t SidDatabase::length | ( | SidTune & | tune | ) |

Get the length of the current subtune.

Parameters

  tune |

Returns
  tune length in seconds, -1 in case of errors.

## length() [2/2]

int_least32_t SidDatabase::length | ( | const char * | md5,
|  | unsigned int | song
| ) |  |

Get the length of the selected subtune.

Parameters

  md5 | the md5 hash of the tune.
  song | the subtune.

Returns
  tune length in seconds, -1 in case of errors.

## open()

bool SidDatabase::open | ( | const char * | filename | ) |

Open the songlength DataBase.

Parameters

  filename | songlengthDB file name with full path.

Returns
  false in case of errors, true otherwise.

The documentation for this class was generated from the following files:

- SidDatabase.h
- SidDatabase.cpp